/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * UserConfirmationResendRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class UserConfirmationResendRequest {
  @SerializedName("invitation_code")
  private String invitationCode = null;

  @SerializedName("username")
  private String username = null;

  @SerializedName("confirmation_language")
  private String confirmationLanguage = null;

  @SerializedName("confirmation_template")
  private String confirmationTemplate = null;

  public UserConfirmationResendRequest invitationCode(String invitationCode) {
    this.invitationCode = invitationCode;
    return this;
  }

   /**
   * Invitation code sent to the users that enables them to register
   * @return invitationCode
  **/
  @ApiModelProperty(example = "ABCDEFGHIJKLMNOPQRSTUVWXYZ", required = true, value = "Invitation code sent to the users that enables them to register")
  public String getInvitationCode() {
    return invitationCode;
  }

  public void setInvitationCode(String invitationCode) {
    this.invitationCode = invitationCode;
  }

  public UserConfirmationResendRequest username(String username) {
    this.username = username;
    return this;
  }

   /**
   * Arbitrary name defined by the user or the client application. Ex: JohnDoe, JDoe, etc.
   * @return username
  **/
  @ApiModelProperty(example = "johndoe1", required = true, value = "Arbitrary name defined by the user or the client application. Ex: JohnDoe, JDoe, etc.")
  public String getUsername() {
    return username;
  }

  public void setUsername(String username) {
    this.username = username;
  }

  public UserConfirmationResendRequest confirmationLanguage(String confirmationLanguage) {
    this.confirmationLanguage = confirmationLanguage;
    return this;
  }

   /**
   * Language in which the confirmation email will be sent. (ISO 639-1 two letters code)
   * @return confirmationLanguage
  **/
  @ApiModelProperty(example = "en", value = "Language in which the confirmation email will be sent. (ISO 639-1 two letters code)")
  public String getConfirmationLanguage() {
    return confirmationLanguage;
  }

  public void setConfirmationLanguage(String confirmationLanguage) {
    this.confirmationLanguage = confirmationLanguage;
  }

  public UserConfirmationResendRequest confirmationTemplate(String confirmationTemplate) {
    this.confirmationTemplate = confirmationTemplate;
    return this;
  }

   /**
   * Preconfigured email template
   * @return confirmationTemplate
  **/
  @ApiModelProperty(example = "greatPartner_registrationTemplate", value = "Preconfigured email template")
  public String getConfirmationTemplate() {
    return confirmationTemplate;
  }

  public void setConfirmationTemplate(String confirmationTemplate) {
    this.confirmationTemplate = confirmationTemplate;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UserConfirmationResendRequest userConfirmationResendRequest = (UserConfirmationResendRequest) o;
    return Objects.equals(this.invitationCode, userConfirmationResendRequest.invitationCode) &&
        Objects.equals(this.username, userConfirmationResendRequest.username) &&
        Objects.equals(this.confirmationLanguage, userConfirmationResendRequest.confirmationLanguage) &&
        Objects.equals(this.confirmationTemplate, userConfirmationResendRequest.confirmationTemplate);
  }

  @Override
  public int hashCode() {
    return Objects.hash(invitationCode, username, confirmationLanguage, confirmationTemplate);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UserConfirmationResendRequest {\n");
    
    sb.append("    invitationCode: ").append(toIndentedString(invitationCode)).append("\n");
    sb.append("    username: ").append(toIndentedString(username)).append("\n");
    sb.append("    confirmationLanguage: ").append(toIndentedString(confirmationLanguage)).append("\n");
    sb.append("    confirmationTemplate: ").append(toIndentedString(confirmationTemplate)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

